var textLog;

function init(rows, onClick) {
    var win = Ti.UI.createWindow({
        backgroundColor: '#FFF'
    });
    
    textLog = Ti.UI.createTextArea({
        editable: false,
        top: 20,
        height: 100,
        width: '100%',
        borderWidth: '2',
        borderColor: '#000',
        value: 'AppLog: see device log for more info'
    });
    win.add(textLog);
    
    var tableView = Ti.UI.createTableView({
        top: 120,
        data: rows
    });
    tableView.addEventListener('click', function(e){
        onClick && onClick(e);
    });
    
    win.add(tableView);
    
    win.open();
}

function createWindow() {
    var win  = Ti.UI.createWindow({
        layout: 'vertical',
        backgroundColor: '#FFF'
    });
    
    var backButton = Ti.UI.createLabel({
        top: 0, width: '100%', height: '10%',
        backgroundColor: '#000',
        color: '#FFF',
        text: 'Back',
        textAlign: 'center'
    });
    
    backButton.addEventListener('click', function() {
        win.close();
    });
    
    win.add(backButton);
    
    return win;
}

function info(text) {
    textLog.value = text + '\n' + textLog.value;
    Ti.API.info(text);
}
function error(text) {
    textLog.value = 'ERROR: ' + text + '\n' + textLog.value;
    Ti.API.error(text);
}
function warn(text) {
    textLog.value = 'WARN: ' + text + '\n' + textLog.value;
    Ti.API.warn(text);
}

exports.init = init;
exports.createWindow = createWindow;
exports.info = info;
exports.error = error;
exports.warn = warn;